Subject: Re: bug#10221: load-library doesn't add filenames to history

From: Chong Yidong <[email-masked]>
Date: Tue, 06 Dec 2011 16:21:56 +0800

[email-masked] writes:

> I do M-x load-library /some/file/name .
> Then later I do another command that asks for a file name.
> I find /some/file/name has not been added to the history list so I have
> to type it all in again instead of being able to use the arrows, etc.
> emacs-version "24.0.91.1"

load-library uses the default history list, `minibuffer-history'.  It's
generally used to read Lisp symbols (package names), not file names.
The find-file command uses a different history list.